Bug 52877 - In gcc3-c++-3.0-6, g++3 -frepo fails to find #include stddef.h
In gcc3-c++-3.0-6, g++3 -frepo fails to find #include stddef.h
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc3 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-30 08:38 EDT by jorma.laaksonen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 11:24:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jorma.laaksonen 2001-08-30 08:38:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.7 i686)

Description of problem:
When I run g++3 of gcc3-c++-3.0-6 first with -c -frepo and then with the .o
file generated in the first phase, g++ fails to find
/usr/lib/gcc-lib/i386-redhat-linux/3.0.1/include/stddef.h .

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Here is my main.C:
#include "myclass.h"

main() {
  myclass<int> x("Hello");
}

2. Here is my myclass.h:
#include <iostream>

template <class T> class myclass {
public:
  myclass(const char *t);
};

template <class T> myclass<T>::myclass(const char *t) {
  std::cout << t << std::endl;
}

3. When I run "g++3 -c -frepo main.C" it goes OK.

4. When I then run "g++3 main.o" it fails.

Actual Results:  collect: recompiling main.C
In file included from /usr/include/g++-v3/bits/std_cstdio.h:38,
                 from /usr/include/g++-v3/cstdio:31,
                 from
/usr/include/g++-v3/i386-redhat-linux/bits/c++io.h:35,
                 from /usr/include/g++-v3/bits/fpos.h:39,
                 from /usr/include/g++-v3/bits/std_iosfwd.h:41,
                 from /usr/include/g++-v3/bits/std_ios.h:39,
                 from /usr/include/g++-v3/bits/std_ostream.h:39,
                 from /usr/include/g++-v3/bits/std_iostream.h:40,
                 from /usr/include/g++-v3/iostream:31,
                 from myclass.h:1,
                 from main.C:1:
/usr/include/g++-v3/bits/std_cstddef.h:38:25: stddef.h: No such file or
directory
...
...

Expected Results:  a.out should have appeared.

Additional info:
Comment 1 Jakub Jelinek 2001-09-03 07:56:51 EDT
See http://gcc.gnu.org/ml/gcc/2001-09/msg00032.html for some analysis.
Comment 2 Jakub Jelinek 2001-09-06 12:06:44 EDT
Fixed in gcc3 3.0.1-2.
Comment 3 David Lawrence 2006-04-10 11:24:22 EDT
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you

Note You need to log in before you can comment on or make changes to this bug.